pub use crate::board::{CLOCK_FREQ, MMIO};

pub const PAGE_SIZE: usize = 0x1000;
pub const PAGE_SIZE_BITS: usize = 0xc;
pub const USER_STACK_SIZE: usize = PAGE_SIZE * 5;
pub const KERNEL_STACK_SIZE: usize = PAGE_SIZE * 2;
// 本来 2M 的内存还是不够，看来可能得添加延迟分配
pub const KERNEL_HEAP_SIZE: usize = 0x41_0000;

#[cfg(feature = "board_k210")]
pub const MEMORY_END: usize = 0x80800000;
#[cfg(not(any(feature = "board_k210")))]
pub const MEMORY_END: usize = 0x809e0000;

pub const HIGH_ADDR_SPACE_BOTTOM: usize = usize::MAX - (1 << 38) + 1;
pub const TRAMPOLINE: usize = usize::MAX - PAGE_SIZE + 1;
pub const DYNAMIC_LINKER_BASE: usize = 1 << 37;
pub const TRAP_CONTEXT_TOP: usize = TRAMPOLINE;
pub const USTACK_TOP: usize = DYNAMIC_LINKER_BASE - PAGE_SIZE;
pub const MMAP_TOP: usize = 1 << 36;
