use spin::{Mutex, MutexGuard};

pub struct SignalInfo {
    inner: Mutex<SignalInfoInner>,
}

pub struct SignalInfoInner {
    pub group_exit_code: Option<i32>,
}

impl SignalInfo {
    pub fn inner_exclusive_access(&self) -> MutexGuard<'_, SignalInfoInner> {
        self.inner.lock()
    }

    pub fn new() -> Self {
        Self {
            inner: Mutex::new(SignalInfoInner {
                group_exit_code: None,
            }),
        }
    }
}
