#![allow(unused)]

#[derive(Clone, Copy, Debug, PartialEq, Eq)]
pub struct FdSet(pub u128);

impl FdSet {
    pub fn is_set(&self, fd: usize) -> bool {
        (self.0 & (1u128 << fd)) != 0
    }

    pub fn set_fd(&mut self, fd: usize) {
        self.0 |= 1u128 << fd;
    }

    pub fn clear_fd(&mut self, fd: usize) {
        self.0 &= !(1u128 << fd);
    }
}