#[allow(unused)]
pub struct Utsname {
    sysname: [u8; 65],
    nodename: [u8; 65],
    release: [u8; 65],
    version: [u8; 65],
    machine: [u8; 65],
    domainname: [u8; 65],
}

impl Utsname {
    pub fn new() -> Self {
        Self {
            sysname: Utsname::str2u8("Linux"),
            nodename: Utsname::str2u8("debian"),
            release: Utsname::str2u8("5.10.0-7-riscv64"),
            version: Utsname::str2u8("#1 SMP Debian 5.10.40-1 (2021-05-28)"),
            machine: Utsname::str2u8("RISC-V64"),
            domainname: Utsname::str2u8(""),
        }
    }

    fn str2u8(s: &str) -> [u8; 65] {
        let mut tmp = [0u8; 65];
        tmp[..s.len()].copy_from_slice(s.as_bytes());
        tmp
    }

    pub fn as_bytes(&self) -> &[u8] {
        unsafe {
            core::slice::from_raw_parts(
                self as *const _ as usize as *const u8,
                core::mem::size_of::<Self>(),
            )
        }
    }
}